#! /usr/bin/python
# -*- coding: utf-8 -*-

# Copyright (C) 2013 - 2020 Honda Research Institute Japan Co., Ltd.
# All rights reserved.
# HARK was developed by researchers in Okuno Laboratory
# at the Kyoto University and Honda Research Institute Japan Co.,Ltd.
# 
# Licensed under the HARK license, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
# https://www.hark.jp/notice/HARK_License_Agreement.pdf


class HARKError(Exception):
    """harkmw個有のエラーを表すクラス
    """
    def __init__(self, value):
        """エラー情報を初期化する

        Parameters
        ----------
        value : object
            エラーを表すオブジェクト
        """
        self.value = value

    def __str__(self):
        """エラー出力文字列を取得する
        """
        return repr(self.value)

# end of file
