#! /usr/bin/python
# -*- coding: utf-8 -*-

# HARK Middleware
# Copyright (C) 2013-2019 by Honda Research Institute Japan Co., Ltd.
# $Id:$


class TerminalDef:
    """ノードの端子に関する定義情報を管理するクラス
    """

    def __init__(self, node, name, input):
        """端子の定義情報を初期化する

        Parameters
        ----------
        node : NodeDef
            この端子が属するノード
        name : str
            ノードの名前
        input : bool
            入力端子であるか否かを表す値
        """
        self.node = node
        self.name = name
        self.input = input

    def connectNetTerminal(self, netTerminal):
        """未使用
        """
        pass


class NetTerminalDef:
    """ネットワークの端子に関する定義情報を管理するクラス
    """

    def __init__(self, node, name, input):
        """端子の定義情報を初期化する

        Parameters
        ----------
        node : NodeDef
            この端子が属するノード
        name : str
            ノードの名前
        input : bool
            入力端子であるか否かを表す値
        """
        self.node = node
        self.name = name
        self.input = input

    def dump(self, prefix=''):
        """デバッグ用のダンプ出力
        """
        print(prefix + "name=%s, terminal=%s" % (self.name, self.input))

# end of file
