/* -*- mode: C++; coding: utf-8 -*- */

/*
 * Copyright (c) 2013 - 2020 Honda Research Institute Japan Co., Ltd.
 * All rights reserved.
 * HARK was developed by researchers in Okuno Laboratory
 * at the Kyoto University and Honda Research Institute Japan Co.,Ltd.
 * 
 * Licensed under the HARK license, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * https://www.hark.jp/notice/HARK_License_Agreement.pdf
 */

#if !defined(HARKMW__PROXY_H__INCLUDED)
#define HARKMW__PROXY_H__INCLUDED 1

namespace HARKMW
{
class ProxyNode;

class Proxy {
public:
    py::object proxyObject;
    ProxyNode *proxyNode;

public:
    Proxy(py::object proxy);
    virtual ~Proxy();

    void connect_input(py::object node, const std::string &terminal_name);
    void connect_output(py::object node, const std::string &terminal_name);
    void initialize(const std::string &tag);
    int push_data(int count);
    py::object get_data(int count);
    void set_data(int count, py::object data);
    std::pair<int, int> get_look_window();
    void set_look_window(int lookAhead, int lookBack);
    void force_count(int count);
};
}

#endif /* #if !defined(HARKMW__PROXY_H__INCLUDED) */

/* end of file */
